Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability.orb.core
Class ORB

    java.lang.Object
      com.arjuna.orbportability.orb.core.ORB

public class ORB
extends java.lang.Object

An instance of this class provides access to the ORB specific ORB implementation object.

Since:
  JTS 2.1.
Version:
  $Id: ORB.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`ORB()`

Method Summary
`void` | `destroy()`
`void` | `init()`
`void` | `init(java.applet.Applet a, java.util.Properties p)`
`void` | `init(java.lang.String[] s, java.util.Properties p)`
`boolean` | `initialised()`
`org.omg.CORBA.ORB` | `orb()`
`void` | `orb(org.omg.CORBA.ORB o)`
`void` | `shutdown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ORB

    public ORB()

Method Detail

### initialised

    public boolean initialised()

### init

    public void init()
              throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### init

    public void init(java.applet.Applet a,
                     java.util.Properties p)
              throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### init

    public void init(java.lang.String[] s,
                     java.util.Properties p)
              throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### shutdown

    public void shutdown()
                  throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### destroy

    public void destroy()
                 throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### orb

    public org.omg.CORBA.ORB orb()
                          throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### orb

    public void orb(org.omg.CORBA.ORB o)
             throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD